Subject: Re: A better git log --graph?

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Jan 2015 08:35:03 -0800

Johan Herland <[email-masked]> writes:

> Have you looked at git show-branch --all?
>
> ...Johan

Yeah, sounds vaguely like it.  Its display certainly is easier to
read while the set of branches you have is minimum and everything
fits in a window; that is exactly why I wrote it back when the
branches I was handling were toy-sized (I am not saying Git itself
was toy-sized---the work-in-progress on top of Git I was doing was).

>
> On Wed, Jan 7, 2015 at 3:23 PM, Yuri D'Elia <[email-masked]> wrote:
>> Hi everyone,
>>
>> git log --graph is hard for me to parse mentally when developing a
>> project which has a lot of branches.
>>
>> All the tools I've been using seem to just parse log --graph's output,
>> and thus are no better at showing history.
>>
>> I would love to have a graph mode where each branch is assigned a
>> column, and stays there. If my log section shows the history of 3
>> branches, column 1 should always refer to master, 2 to the hypothetical
>> "development" branch and 3 to "feature".
>>
>> Of course the mode will waste more horizontal space, but it would be
>> immediately more apparent which branch is merging into which.
>>
>> I saw this idea proposed a couple of times in the mailing list, but I
>> saw no "action" behind the proposal. Since I don't have time to work on
>> it, has anyone already started some work that he would like to share as
>> a starting point? Even just to have a felling if it's worth the effort.
>>
>> Does anybody know of another tool to graph the history using something
>> that is not based on git log --graph?
>>
>> I've seen a couple of graphviz-based ones, but both failed to work out
>> of the box for me.
>>
>> Thanks a lot for any pointer.
>>
>> --
>> To unsubscribe from this list: send the line "unsubscribe git" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html